# Fast Arti Bolts
___
A variant of Artificer's Flame Bolts, reworked to scale with attack speed (like Merc's and Commando's R's)

## Overview:
- You start out shooting two firebolts with each use
- Firebolt damage and proc coefficient are lowered
- The more attack speed you have, the more fast firebolts you'll shoot
- Attack speed no longer increases the speed of the attack animation

 Notes:
- Starting out, the two fastbolts combined will have the same damage output as the one vanilla firebolt
- If you have high enough attack speed and you're shooting firebolts faster than the framerate, multiple will spawn on each frame.
- Idea half stolen from `KNot Devourer of Worlds` on the modding discord, who proposed to have firebolt damage scale with attack speed

Ping me (`TheTimesweeper#5727`) on the ror2 modding discord or the enforcer discord (https://discord.gg/csaEQDnMH8) if you have any horrible crashes or other issues I didn't catch. I'd love to hear feedback on how it works/feels.

___

### Things I'd like to do:
- skills++ support since the changes should be the same
- plasma bolt version maybes where consecutive fast plasma bolts increase in radius
- properly graph out its damage over time and how attack speed increase affects damage and procs to really balance it
___

### Changelog:

`2.1.1`
- CUM2 hotfix, pre r2api. fixed as a practice exercise, really
- let me know if this version ends up causing some issues

`2.1.0`
 - anniversary update update now that r2api's workin
 - tweaked icon to be lil thinner to reflect the spirit of fast

`2.0.1`
 - sex

`2.0.0`
  - made consecutive fast bolts come out at a slightly shifted position
  - made fast bolts thinner so you can see this better
  - registered state now that i'm a little less of a monkey on a typewriter (which fixes networking)
  - added proc coeff to config
  - fixed MuzzleflashMageFire on her hands

`1.0.1` 
  - oops
  - fixed text in the skill description

`1.0.0` 
  - separated it into its own skill like a civilized human being
  - exposed some settings to config
  - including one that may help with performance
  - better icon

`0.1.0` 
  - c:
___